# Uses of Interface
com.sun.mirror.type.InterfaceType

Packages that use InterfaceType
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of InterfaceType in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type InterfaceType
Modifier and Type
Method
Description
`Collection<InterfaceType>`
TypeDeclaration.`getSuperinterfaces()`
Returns the interface types directly implemented by this class or extended by this interface.

## Uses of InterfaceType in com.sun.mirror.type

Subinterfaces of InterfaceType in com.sun.mirror.type
Modifier and Type
Interface
Description
`interface`
`AnnotationType`
Represents an annotation type.
Methods in com.sun.mirror.type that return types with arguments of type InterfaceType
Modifier and Type
Method
Description
`Collection<InterfaceType>`
DeclaredType.`getSuperinterfaces()`
Returns the interface types that are direct supertypes of this type.

## Uses of InterfaceType in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type InterfaceType
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitInterfaceType(InterfaceType t)`
Visits an interface type.
`void`
TypeVisitor.`visitInterfaceType(InterfaceType t)`
Visits an interface type.